import { EventEmitter, ElementRef, QueryList, Renderer2, OnInit, OnDestroy } from '@angular/core';
import { DropdownItemDirective } from './dropdown-item.directive';
import * as i0 from "@angular/core";
export declare class DropdownDirective implements OnInit, OnDestroy {
    element: ElementRef;
    renderer: Renderer2;
    hasTrigger: boolean;
    hasTriggerClick: boolean;
    set isOpen(isOpen: boolean);
    get isOpen(): boolean;
    unoDropdownHandlePageEvents: boolean;
    items: QueryList<DropdownItemDirective>;
    openChange: EventEmitter<boolean>;
    selectedElem: EventEmitter<object>;
    triggerFocusEventEmitter: EventEmitter<any>;
    private _isOpen;
    private openEventSubscription;
    private globalClickEventUnsubscriber;
    private clickEventUnsubscriber;
    private globalClickTimeout;
    onKeydownClose(eventName: string): void;
    onKeydownFocusNext($event: Event, direction: 'next' | 'previous'): void;
    dropdownItemWasSelected(): void;
    constructor(element: ElementRef, renderer: Renderer2);
    ngOnInit(): void;
    ngOnDestroy(): void;
    toggle(toggle?: boolean, focus?: boolean): void;
    private handleGlobalClickEvent;
    private _subscribeToClickEvents;
    private _unsubscribeFromClickEvents;
    private clearGlobalClickTimeout;
    private focusItem;
    private handleDropdownOpenEvent;
    static ɵfac: i0.ɵɵFactoryDeclaration<DropdownDirective, never>;
    static ɵdir: i0.ɵɵDirectiveDeclaration<DropdownDirective, "[unoDropdown]", never, { "isOpen": "open"; "unoDropdownHandlePageEvents": "unoDropdownHandlePageEvents"; }, { "openChange": "openChange"; "selectedElem": "selectedElem"; }, ["items"]>;
}
